Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/comments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"message": "My New Message"
}'{
"id": "11446498",
"type": "comment",
"is_reply_comment": true,
"message": "@Aaron Levie these tigers are cool!",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"item": {
"id": "11446498",
"type": "file"
},
"tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}コメントのメッセージを更新します。
curl -i -X PUT "https://api.box.com/2.0/comments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"message": "My New Message"
}'{
"id": "11446498",
"type": "comment",
"is_reply_comment": true,
"message": "@Aaron Levie these tigers are cool!",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"item": {
"id": "11446498",
"type": "file"
},
"tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
コメントのID。
レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。
このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。
更新するコメントのテキスト。
"Review completed!"
更新されたコメントオブジェクトを返します。
コメントとは、ファイルに関して作成されるメッセージです。コメントは単独で作成することも、他のコメントへの返答として作成することもできます。
このコメントの一意の識別子。
"11446498"
値は常にcommentになります。
comment "comment"
このコメントが他のコメントへの返信かどうか。
true
ユーザーが入力したコメントのテキスト。
"@Aaron Levie these tigers are cool!"
コメント作成者をMini版のユーザーオブジェクトで表示。
Show child attributes
このコメントが作成された日時。
"2012-12-12T10:53:43-08:00"
このコメントが最後に変更された日時。
"2012-12-12T10:53:43-08:00"
このコメントが追加されたファイル。
Show child attributes
@メンションを含むコメントテキストを表す文字列。@メンションの形式は@[id:username] で、idはユーザーのBox ID、usernameはユーザーの表示名になります。
"@[1234567:Aaron Levie] these tigers are cool!"
このページは役に立ちましたか?